## org.apache.hadoop.mapreduce
Class ReduceContext.ValueIterator

    java.lang.Object
      org.apache.hadoop.mapreduce.ReduceContext.ValueIterator

All Implemented Interfaces:
  Iterator<VALUEIN>

Enclosing class:
  ReduceContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

    protected class ReduceContext.ValueIterator

extends Object
implements Iterator<VALUEIN>

Constructor Summary
`protected` `ReduceContext.ValueIterator()`

Method Summary
`boolean` `hasNext()`
`VALUEIN` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReduceContext.ValueIterator

    protected ReduceContext.ValueIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<VALUEIN>`

### next

    public VALUEIN next()

  Specified by:
    `next` in interface `Iterator<VALUEIN>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<VALUEIN>`

Copyright © 2009 The Apache Software Foundation